Get account resource
Retrieves an individual resource from a given account and at a specific ledger version.
Last updated
Was this helpful?
Retrieves an individual resource from a given account and at a specific ledger version.
Last updated
Was this helpful?
Was this helpful?
// Request
curl -X GET -H 'Content-Type: application/json' https://aptos.blockpi.network/aptos/v1/your_api_key/v1/accounts/0x6de517a18f003625e7fba9b9dc29b310f2e3026bbeb1997b3ada9de1e3cec8d6/resource/0x1::coin::CoinStore<0x1::aptos_coin::AptosCoin>
// Result
{
"type": "0x1::coin::CoinStore<0x1::aptos_coin::AptosCoin>",
"data": {
"coin": {
"value": "2708570300"
},
"deposit_events": {
"counter": "5",
"guid": {
"id": {
"addr": "0x6de517a18f003625e7fba9b9dc29b310f2e3026bbeb1997b3ada9de1e3cec8d6",
"creation_num": "2"
}
}
},
"frozen": false,
"withdraw_events": {
"counter": "13691",
"guid": {
"id": {
"addr": "0x6de517a18f003625e7fba9b9dc29b310f2e3026bbeb1997b3ada9de1e3cec8d6",
"creation_num": "3"
}
}
}
}
}